package aicg.wipf.keyu.bzsb

import aicg.wipf.vzuj.Hqlm
import aicg.wipf.vzuj.Kmqp.setTrackedOnClickListener
import aicg.wipf.vzuj.Kmqp.string
import android.graphics.Color
import android.util.Log
import android.webkit.WebView
import android.webkit.WebViewClient
import androidx.core.view.updatePadding
import com.blankj.utilcode.util.BarUtils
import com.test.basd.smartjunkcleaner.R
import com.test.basd.smartjunkcleaner.databinding.ZwmxipBinding

class Ewqh : Hqlm<ZwmxipBinding>() {

    override val binding: ZwmxipBinding by lazy {
        ZwmxipBinding.inflate(layoutInflater)
    }

    private fun ޛޣފޡޣތސޝ() {
        ޏވޜޔބސޝލ()
    }

    private fun ޠޒފޜޗތޥޝ() {
        Log.d("މޔށނދށޏވ", "މޔށނދށޏވ")
        ޛޣފޡޣތސޝ()
    }

    private fun ޏވޜޔބސޝލ() {
        BarUtils.setStatusBarLightMode(this, true)
        BarUtils.setStatusBarColor(this, Color.TRANSPARENT)
        fun ކތށއގޙދޕ(ޙޟޤޥޛސޑޟ: Int, ޒޏޞޗސށށބ: Int): Int {
            return ޙޟޤޥޛސޑޟ + ޒޏޞޗސށށބ
        }
        println(ކތށއގޙދޕ(1519, 6583))
        binding.root.updatePadding(top = BarUtils.getStatusBarHeight())
        binding.vhjpchi.settings.setJavaScriptEnabled(true)

        binding.vhjpchi.webViewClient = object : WebViewClient() {
            override fun shouldOverrideUrlLoading(view: WebView?, url: String?): Boolean {
                class ޖކވޗރޠޚޓ<T, K>(val ޘލހޚނޡޓރ: T, val ދޘއޟލލޅޣ: K) {
                    init {
                        println("ޛހޔލޏޠޞޟ")
                    }
                }
                val ޠދހކލޛފޘ = ޖކވޗރޠޚޓ("ޟމގރގލޗށ", 300)
                println(ޠދހކލޛފޘ)
                view?.loadUrl(url!!)
                class ޓޖޙޜސޑޑޕ {
                    fun ބޒރށލޑޖޥ() {
                        println("ކޑޓޞވސޘޢ")
                    }
                }
                ޓޖޙޜސޑޑޕ().ބޒރށލޑޖޥ()
                return true
            }
        }
        binding.vhjpchi.loadUrl(R.string.ޔސނލޜ_D.string())
        binding.hodhdnp.setTrackedOnClickListener {
            finishToMain()
        }
    }

    override fun initView() {
        ޠޒފޜޗތޥޝ()
    }
}